Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.example.gallery.model
Class Image

    java.lang.Object
      org.apache.openjpa.example.gallery.model.Image

    @Entity
    @ImageConstraint(groups=ImageGroup.class)
    public class Image

extends Object

Image entity which makes use of several BV constraints.

Constructor Summary
`Image()`

Method Summary
`Creator` | `getCreator()`
`byte[]` | `getData()`
`String` | `getFileName()`
`long` | `getId()`
`Location` | `getLocation()`
`ImageType` | `getType()`
`void` | `setCreator(Creator creator)`
`void` | `setData(byte[] data)`
`void` | `setFileName(String fileName)`
`void` | `setId(long id)`
`void` | `setLocation(Location location)`
`void` | `setType(ImageType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Image

    public Image()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getType

    @NotNull(message="Image type must be specified.")
    public ImageType getType()

### setType

    public void setType(ImageType type)

### getFileName

    @NotNull(message="Image file name must not be null.")
    public String getFileName()

### setFileName

    public void setFileName(String fileName)

### getData

    @NotNull(message="Image data must not be null.")
    public byte[] getData()

### setData

    public void setData(byte[] data)

### getLocation

    public Location getLocation()

### setLocation

    public void setLocation(Location location)

### getCreator

    public Creator getCreator()

### setCreator

    public void setCreator(Creator creator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.